using System;
using com.calitha.goldparser;

namespace Interpreter
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			MyParser Parser=new MyParser("parser.cgt");
			string Source="";
			Tree.TreeNode Node=null;
			do
			{
				Console.Write(">");
				Source=Console.ReadLine();
				Node=Parser.Parse(Source);
				if (Node!=null)
					Console.WriteLine(Node.Evalf());
				else
					Console.WriteLine("  ");
			}
			while(Source!="");
		}
	}
}
